using System;
using System.Web;
using Jenzabar.Common;
using Jenzabar.ICS;
using Jenzabar.Portal.Framework;
using Jenzabar.Portal.Framework.Web;
using Jenzabar.Portal.Framework.Web.UI;
using Jenzabar.ICS.Web.Portlets.LoginPortlet;


namespace CUS.ICS.LoginCaptureCrypto
{
	/// <summary>
	///		Encrypts and stuffs.
	/// </summary>
	public class LoginPage : LoginPageViewBase
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (this.ParentPortlet.PortletViewState["password"] != null)
			{
				Password.Current = this.ParentPortlet.PortletViewState["password"].ToString();
			}
			this.CurrentLoginData.LoginState[LCCConstants.LOGIN_DONE] = true;
			NextLoginPage();
		}

		override protected void OnInit(EventArgs e)
		{
			this.Load += new System.EventHandler(this.Page_Load);
			base.OnInit(e);
		}
	}
}
